For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all meter properties
      • POSTCreate a meter property
      • GETGet a meter property
      • DELDelete a meter property
      • PATCHUpdate a meter property
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIMeter Properties

Create a meter property

POST
/v:version/meter-properties
POST
/v:version/meter-properties
$curl -X POST https://test.api.solvimon.com/v1/meter-properties \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "employee_country",
> "name": "Employee Country",
> "type": "ENUM",
> "description": "Country where the employee is based.",
> "status": "ACTIVE",
> "enum_values": [
> "CAN",
> "DNK",
> "FIN",
> "GBR",
> "IRL",
> "JPN",
> "NOR",
> "SWE",
> "USA"
> ]
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "reference": "string",
5 "name": "string",
6 "description": "string",
7 "status": "DRAFT",
8 "type": "NUMBER",
9 "enum_values": [
10 "string"
11 ]
12}

Requires the METER_PROPERTY.CREATE permission.

Was this page helpful?
Previous

Get a meter property

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
namestring or nullRequiredformat: "^.*$"0-256 characters
typeenum or nullRequired
The type of the meter property.
Allowed values:
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
statusenumOptional
The status of the meter property indicating the activity and the ability to update properties.
Allowed values:
enum_valueslist of strings or nullOptional
The list of available ENUM values.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
namestring or nullformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
statusenum
The status of the meter property indicating the activity and the ability to update properties.
Allowed values:
typeenum or null
The type of the meter property.
Allowed values:
enum_valueslist of strings or null
The list of available ENUM values.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error